Bug 275346 - Support registering of a new accounts
Summary: Support registering of a new accounts
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR normal
Target Milestone: 0.4.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2011-06-10 15:25 UTC by Daniele E. Domenichelli
Modified: 2012-07-06 12:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2011-06-10 15:25:03 UTC
Version:           unspecified
OS:                All

Telepathy-accounts-kcm should allow to register a new account

Reproducible: Always

Steps to Reproduce:
Try to register a new account

Actual Results:  
You can't

Expected Results:  
You should be able to do it
Comment 1 David Edmundson 2011-06-10 17:17:41 UTC
Bit of research:

If a protocol can register in TpQt4 it will have a parameter called "register".

All that needs doing is adding an extra checkbox to all plugins which actually have this. (which is probably just jabber). Will add some debug to check them all.

Assigned to me.
Comment 2 David Edmundson 2011-06-16 12:34:08 UTC
Git commit f14f8460c500a263aff0798dcff9648cb5204ff5 by David Edmundson.
Committed on 16/06/2011 at 02:32.
Pushed by davidedmundson into branch 'master'.

Add register button to jabber account.

REVIEW: 101640
BUG: 275346
Reviewed by: Rohan Garg

M  +1    -0    gabble/main-options-widget.cpp     
M  +10   -3    gabble/main-options-widget.ui     

http://commits.kde.org/telepathy-accounts-kcm-plugins/f14f8460c500a263aff0798dcff9648cb5204ff5